Subject: Re: [Sigtran] to handle misconfiguration in IUA and Stream 0 for ASPM messages (REPOST)

From: [email-masked]
Date: Fri, 28 Feb 2003 14:11:46 +0530

<REPOST>

[email-masked] on 02/28/2003 10:44:44 AM

To:   [email-masked]
cc:   Ken Morneault <[email-masked]>, [email-masked] (bcc: Manish
      Sharma/HSS)

Subject:  Re: [Sigtran] to handle handle misconfiguration in IUA and Stream  0
      for ASPM messages

Hi Brian,
   Can you please provide me the text stated in IUA IG ? It might possible that
i have missed that.

  Thanks
  Manish S
  www.hssworld.com

"Brian F. G. Bidulock" <[email-masked]> on 02/28/2003 10:40:47 AM

Please respond to [email-masked]

To:   Manish Sharma/HSS@HSS
cc:   Ken Morneault <[email-masked]>, [email-masked]

Subject:  Re: [Sigtran] to handle handle misconfiguration in IUA and Stream 0
      for ASPM messages

sharmam,

If you look at the IUA imp guide I think you will see that it has similar
text to the other UAs with regard to ordering of messages in streams.

--brian

[email-masked] wrote:
(Fri, 28 Feb 2003 10:22:49)
>
>
> Hi ken,
>  Ok i agree that we don't know that which side is configured incorrectly but
>  if there is misconfiguration then its work of System management entity to
> correct that.
>  Its not proper to change configuration based on peer side database( SG/ASP).
>  We can't say to an implementation to give   error for selected IID's.
>
>  Second is
>   " All ASPM messages are sent on a sequenced
>     stream to ensure ordering.SCTP stream '0' SHOULD be used"
>   This is written in RFC 3057 and there is no text regarding this to make it
>   inline with other UA's. Other UA's have no such restriction for ASPM
messages.
>
>
>  M3UA imp guide says
>
>  "The following rules MUST to be followed (see section 3.1.2):
>  1. DATA is never sent on stream 0.
>  2. ASPSM, MGMT, RKM should be sent on stream 0 (Other than BEAT and BEAT ACK)
>  3. SSNM , ASPTM , BEAT and BEAT ACK can be sent on any stream."
>
>  Please see this, Thanks in advance
>
>
>   Regards
>   Manish Sharma
>   www.hssworld.com
>
>
>
>
>
>
> Ken Morneault <[email-masked]> on 02/28/2003 12:13:15 AM
>
> To:   Manish Sharma/HSS@HSS
> cc:   [email-masked]
>
> Subject:  Re: [Sigtran] to handle handle misconfiguration in IUA
>
>
>
>
>
>
> Manish,
>
> Who's to say which side has been configured incorrectly.  Could be
> the SG or ASP side.
>
> The first message flow allows traffic to flow for IIDs 1-5 and provides
> a means for an alarm (by way of the Error msg) to be generated
> to notify the operator of the misconfiguration of IIDs 6-10.
>
> Ken
>
> At 08:05 PM 2/27/2003 +0530, [email-masked] wrote:
>
>
> >Hi Ken,
> >   The objective of this example to handle the misconfiguration, So ASP side
> >stack  has to update its configuration based on peer SG configuration
> >   which is not correct. It is responsibility of the system management
entities
> >to make the ASP and SG configuration alike. Why to update database on
> >   misconfiguration of SG side.
> >
> >   Please correct me if i am wrong.
> >
> >
> >   Regards
> >   Manish S
> >   www.hssworld.com
> >
> >
> >
> >
> >
> >Ken Morneault <[email-masked]> on 02/27/2003 07:58:04 PM
> >
> >To:   Manish Sharma/HSS@HSS, [email-masked]
> >cc:
> >
> >Subject:  Re: [Sigtran] to handle handle misconfiguration in IUA
> >
> >
> >
> >
> >
> >
> >Manish,
> >
> >Why are you proposing that the SG return Error (Interface Identifer)
> >for valid Interface Identifiers?
> >
> >Ken
> >
> >At 07:37 PM 2/27/2003 +0530, [email-masked] wrote:
> >
> >
> >>Hi,
> >>   There is an example shown in IG to handle misconfiguration
> >>
> >>   "This scenario shows the example IUA message flows for the
> >>   establishment of traffic between an SG and an ASP in which some
> >>   of the Interface Identifiers have been misconfigured on the
> >>   ASP side.  The SG in this case has Interface Identifers 1-5
> >>   configured for ASP1."
> >>
> >>                SG                               ASP1
> >>                 |                                |
> >>                 |                                |
> >>                 |<----ASP Active (IIDs 1-10)-----|
> >>                 |---ASP Active Ack (IIDs 1-5)--->|
> >>                 |-------Error (IIDs 6)---------->|
> >>                 |-------Error (IIDs 7)---------->|
> >>                 |-------Error (IIDs 8)---------->|
> >>                 |-------Error (IIDs 9)---------->|
> >>                 |-------Error (IIDs 10)--------->|
> >>
> >>
> >>    The other alternative which i am showing is correct or not , as this is
> >>implementation dependant
> >>
> >>                 SG                               ASP1
> >>                 |                                |
> >>                 |-------Error (IIDs 1)---------->|
> >>                 |-------Error (IIDs 2)---------->|
> >>                 |-------Error (IIDs 3)---------->|
> >>                 |-------Error (IIDs 4)---------->|
> >>                 |-------Error (IIDs 5)---------->|
> >>                 |-------Error (IIDs 6)---------->|
> >>                 |-------Error (IIDs 7)---------->|
> >>                 |-------Error (IIDs 8)---------->|
> >>                 |-------Error (IIDs 9)---------->|
> >>                 |-------Error (IIDs 10)--------->|
> >>
> >>
> >> Regards
> >> Manish Sharma
> >> www.hssworld.com
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >>_______________________________________________
> >>Sigtran mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/sigtran
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>
>
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran